Bug 237221 - sysutils/fusefs-smbnetfs: fix build with GCC-based architectures
Summary: sysutils/fusefs-smbnetfs: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-12 11:59 UTC by Piotr Kubaj
Modified: 2019-04-30 19:28 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mi)


Attachments
patch (386 bytes, patch)
2019-04-12 11:59 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (mi)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-04-12 11:59:58 UTC
Created attachment 203612 [details]
patch

This port requires USES=compiler:c11 to build on GCC architectures.

Tested on powerpc64 and amd64.
Comment 1 Mikhail T. 2019-04-12 12:19:32 UTC
Can I see the failure log? I wonder, if patching up the original code is easier than building a whole new compiler suit :)

Or does Samba require it already anyway?
Comment 2 Piotr Kubaj freebsd_committer 2019-04-12 12:46:11 UTC
(In reply to Mikhail T. from comment #1)
Build log:
https://talos.anongoth.pl/data/powerpc64-default/2019-04-06_01h45m28s/logs/errors/fusefs-smbnetfs-0.6.1_1.log

I'm only patching the ports to build on GCC architectures. I won't rewrite them, considering the amount of ports I fix.

samba47 uses base GCC:
root@talos:$/usr/ports/net/samba47$ make -V CXX
c++
Comment 3 Piotr Kubaj freebsd_committer 2019-04-12 12:50:32 UTC
Oh, but it looks like gcc8 is needed anyway: https://talos.anongoth.pl/data/powerpc64-default/2019-04-06_01h45m28s/logs/errors/fusefs-smbnetfs-0.6.1_1.log

[powerpc64-default-job-08] `-- Installing cmocka-1.1.1_1...
[powerpc64-default-job-08] `-- Extracting cmocka-1.1.1_1: .......... done
[powerpc64-default-job-08] `-- Installing gamin-0.1.10_10...
[powerpc64-default-job-08] |   `-- Installing gettext-runtime-0.19.8.1_2...
[powerpc64-default-job-08] |   | `-- Installing indexinfo-0.3.1...
[powerpc64-default-job-08] |   | `-- Extracting indexinfo-0.3.1: .... done
[powerpc64-default-job-08] |   `-- Extracting gettext-runtime-0.19.8.1_2: .......... done
[powerpc64-default-job-08] |   `-- Installing glib-2.56.3_3,1...
[powerpc64-default-job-08] |   | `-- Installing gcc8-8.3.0_1...
Comment 4 commit-hook freebsd_committer 2019-04-30 19:27:48 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Apr 30 19:27:28 UTC 2019
New revision: 500560
URL: https://svnweb.freebsd.org/changeset/ports/500560

Log:
  sysutils/fusefs-smbnetfs: fix build with GCC-based architectures

  This port requires USES=compiler:c11 and including strings.h in one source file to build on GCC architectures.
  event.o:(.text+0x838): undefined reference to `g_atomic_int_get'
  event.o:(.text+0x9c4): undefined reference to `g_atomic_int_get'
  event.o:(.text+0x9dc): undefined reference to `g_atomic_int_set'

  PR:		237221
  Approved by:	mi@ALDAN.algebra.com (maintainer timeout), mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D20108

Changes:
  head/sysutils/fusefs-smbnetfs/Makefile
  head/sysutils/fusefs-smbnetfs/files/patch-src_fusepod__util.h